%define lib_major 0
%define lib_name %mklibname %{name} %{lib_major}

%define gwrap_req_version 1.9.6-6mdv
%define doc_version 2.0.0

Name: gnucash
Summary: GnuCash is an application to keep track of your finances
Version: 2.0.1
Release: %mkrel 1
License: GPL
Group: Office
Source0: http://www.gnucash.org/pub/gnucash/sources/stable/%{name}-%{version}.tar.bz2
Source1: gnucash-48.png
Source2: gnucash-32.png
Source3: gnucash-16.png
Source4: http://www.gnucash.org/pub/gnucash/sources/stable/%{name}-docs-%{doc_version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
URL: http://www.gnucash.org

# g-wrap must be regenerated when guile is
Requires: guile >= 1.6
Requires: umb-scheme >= 3.2-17mdk
Requires: g-wrap >= %{gwrap_req_version}
#Requires: guile-lib
Requires: python >= 2.3
Requires: %{lib_name} >= %{version}-%{release}
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
#BuildRequires: guile-lib
BuildRequires: g-wrap-devel >= %{gwrap_req_version}
BuildRequires: goffice21-devel >= 0.0.4
BuildRequires: libgtkhtml-3.8-devel
BuildRequires: libgnomeprintui-devel
BuildRequires: readline-devel
BuildRequires: libtermcap-devel
BuildRequires: libunicode-devel
BuildRequires: libxml-devel
BuildRequires: popt-devel
BuildRequires: python-devel >= 2.3
BuildRequires: scrollkeeper >= 0.3.4
BuildRequires: libxslt-proc
BuildRequires: libofx-devel >= 0.7.0
BuildRequires: libaqbanking-devel >= 1.0.0
BuildRequires: libktoblzcheck-devel
BuildRequires: postgresql-devel
BuildRequires: gettext-devel
BuildRequires: libffi-devel
BuildRequires: db1-devel
BuildRequires: intltool
BuildRequires: automake1.9
BuildRequires: desktop-file-utils
#disable requires in private shared libraries
%define _requires_exceptions devel.libgncmod-[^[:space:]].\\|libgnc-app\\|libgw-engine\\|libgw-kvp

%description
GnuCash is a personal finance manager. A check-book like
register GUI allows you to enter and track bank accounts,
stocks, income and even currency trades. The interface is
designed to be simple and easy to use, but is backed with
double-entry accounting principles to ensure balanced books.

%package ofx
Summary: Enables OFX importing in GnuCash
Group: Office
Requires: gnucash = %{version}-%{release}
 
%description ofx
This package adds OFX file import support to the base
GnuCash package. Install this package if you want to
import OFX files.

%package sql
Summary: PostgreSQL backend for GnuCash
Group: Office
Requires: gnucash = %{version}-%{release}
 
%description sql
This package adds PostgreSQL experimental backend for GnuCash.

%package hbci
Summary: Enables HBCI importing in GnuCash
Group: Office
Requires: gnucash = %{version}-%{release}
# only require the wizard, it will pull aqhbci package too 
Requires: aqhbci-qt-tools
 
%description hbci
This package adds HBCI file import support to the base
GnuCash package. Install this package if you want to
import HBCI files.


%package -n %{lib_name}-devel
Group:	Development/C
Summary: Libraries needed to develop for gnucash
Requires: %{lib_name} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Obsoletes: %{name}-devel


%description -n %{lib_name}-devel
Libraries needed to develop for gnucash.

%package -n %{lib_name}
Summary:        Libraries for gnucash
Group:          System/Libraries

%description -n %{lib_name}
This package provides libraries to use gnucash.


%prep
%setup -q -a 4
libtoolize --force
aclocal-1.9 -I macros
automake-1.9
autoconf

%build

%configure2_5x --enable-gui --enable-hbci --enable-ofx --disable-error-on-warning --enable-sql

cd gnucash-docs-%{doc_version}
%configure --localstatedir=/var/lib
cd ..

make

cd gnucash-docs-%{doc_version}
%make
cd ..

%install
rm -rf $RPM_BUILD_ROOT %name.lang

%makeinstall_std

cd gnucash-docs-%{doc_version}
%makeinstall_std
cd ..

# multiarch support
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/gnucash-config

rm -f $RPM_BUILD_ROOT%{_infodir}/dir
find %buildroot -name \*.la|xargs chmod 644

#don't ship this file
%{find_lang} %{name} --with-gnome --all-name
for omf in $(ls %buildroot%_datadir/omf/%name-docs/*.omf|fgrep -v -- -C.omf);do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done


# Icons
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}
cp %{SOURCE1} $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
cp %{SOURCE2} $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
cp %{SOURCE3} $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png

# Menu entry 
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat >$RPM_BUILD_ROOT/%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" icon="%{name}.png" needs="X11" \
section="More Applications/Finances" title="GnuCash" longtitle="GnuCash Personal finance manager" xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="X-MandrivaLinux-MoreApplications-Finances" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*



%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
%define schemas apps_gnucash_dialog_business_common apps_gnucash_dialog_commodities apps_gnucash_dialog_common apps_gnucash_dialog_hbci apps_gnucash_dialog_prices apps_gnucash_dialog_print_checks apps_gnucash_dialog_reconcile apps_gnucash_dialog_totd apps_gnucash_general apps_gnucash_history apps_gnucash_import_generic_matcher apps_gnucash_warnings apps_gnucash_window_pages_account_tree apps_gnucash_window_pages_register apps_gnucash_dialog_scheduled_transctions
%post_install_gconf_schemas %schemas
%{update_menus}
%update_desktop_database
%update_scrollkeeper

%preun
%preun_uninstall_gconf_schemas %schemas

%postun
%{clean_menus}
%clean_scrollkeeper
%clean_desktop_database

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%post -n %{lib_name}-devel
if [ "$1" = "1" ]; then 
  %{__install_info} %{_infodir}/%{name}-design.info.bz2 %{_infodir}/dir --section="Miscellaneous" --entry="* Gnucash: (gnucash-design).             Gnucash design."
fi

%postun -n %{lib_name}-devel
if [ "$1" = "0" ]; then
  %{__install_info} --delete %{_infodir}/%{name}-design.info.bz2 %{_infodir}/dir --section="Miscellaneous" --entry="* Gnucash: (gnucash-design).             Gnucash design."
fi

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_infodir}/*
%{_bindir}/gnucash-make-guids
%{_bindir}/gnucash-config
%multiarch %{multiarch_bindir}/gnucash-config
%{_libdir}/libcore-utils.so
%{_libdir}/libgnc-backend-file-utils.so
%{_libdir}/libgncgnome.so
%{_libdir}/libgncmodule.so
%{_libdir}/libgncqof.so
%{_libdir}/libgw-core-utils.so
%{_libdir}/libgw-gnc.so
%{_includedir}/gnucash
%{_datadir}/aclocal/*

%files -n %{lib_name}
%defattr(-, root, root)
%_libdir/libcore-utils.so.0*
%_libdir/libgnc-backend-file-utils.so.0*
%_libdir/libgncgnome.so.0*
%_libdir/libgncmodule.so.0*
%_libdir/libgncqof.so.1*
%_libdir/libgw-core-utils.so.0*
%_libdir/libgw-gnc.so.0*
# these are unversioned, bad gnucash developers
%{_libdir}/libgnc-backend-file.so
%{_libdir}/libgncqof-backend-qsf.so

%files -f %{name}.lang
%defattr(-,root,root)
%_sysconfdir/gconf/schemas/apps_gnucash_dialog_business_common.schemas
%_sysconfdir/gconf/schemas/apps_gnucash_dialog_commodities.schemas
%_sysconfdir/gconf/schemas/apps_gnucash_dialog_common.schemas
%_sysconfdir/gconf/schemas/apps_gnucash_dialog_hbci.schemas
%_sysconfdir/gconf/schemas/apps_gnucash_dialog_prices.schemas
%_sysconfdir/gconf/schemas/apps_gnucash_dialog_print_checks.schemas
%_sysconfdir/gconf/schemas/apps_gnucash_dialog_reconcile.schemas
%_sysconfdir/gconf/schemas/apps_gnucash_dialog_scheduled_transctions.schemas
%_sysconfdir/gconf/schemas/apps_gnucash_dialog_totd.schemas
%_sysconfdir/gconf/schemas/apps_gnucash_general.schemas
%_sysconfdir/gconf/schemas/apps_gnucash_history.schemas
%_sysconfdir/gconf/schemas/apps_gnucash_import_generic_matcher.schemas
%_sysconfdir/gconf/schemas/apps_gnucash_warnings.schemas
%_sysconfdir/gconf/schemas/apps_gnucash_window_pages_account_tree.schemas
%_sysconfdir/gconf/schemas/apps_gnucash_window_pages_register.schemas
%config(noreplace) %{_sysconfdir}/%{name}		
%{_bindir}/gnucash
%{_bindir}/gnucash-bin
%{_bindir}/gnucash-valgrind
%{_bindir}/gnucash-env
%{_bindir}/gnc-test-env
%{_bindir}/gnc-fq-check
%{_bindir}/gnc-fq-dump
%{_bindir}/gnc-fq-helper
%{_bindir}/gnc-fq-update
%{_bindir}/update-gnucash-gconf
%_datadir/applications/%name.desktop
%_datadir/gnucash/
%dir %{_libdir}/gnucash
%{_libdir}/*.la
%{_libdir}/gnucash/*.la
%{_libdir}/gnucash/*.so*
%{_libdir}/gnucash/overrides
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/accounts
%{_datadir}/%{name}/guile-modules
%{_datadir}/%{name}/glade
%_datadir/pixmaps/gnucash-icon.png
%_datadir/xml/gnucash/
%doc %{_datadir}/%{name}/doc
%{_datadir}/%{name}/scm
%{_mandir}/*/*
%doc AUTHORS COPYING ChangeLog HACKING NEWS README*
%doc doc/README.german doc/README.francais doc/guile-hackers.txt
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_menudir}/%{name}
%dir %{_datadir}/omf/%name-docs/
%{_datadir}/omf/%name-docs/gnucash-guide-C.omf
%{_datadir}/omf/%name-docs/gnucash-help-C.omf
%exclude %{_libdir}/gnucash/libgncmod-ofx*
%exclude %{_libdir}/gnucash/libgncmod-hbci*
%exclude %{_datadir}/gnucash/glade/hbci*

%files ofx
%defattr(-,root,root)
%doc doc/README.OFX
%{_libdir}/gnucash/libgncmod-ofx*

%files hbci
%defattr(-,root,root)
%doc doc/README.HBCI
%{_libdir}/gnucash/libgncmod-hbci*
%{_datadir}/gnucash/glade/hbci*

%files sql
%defattr(-,root,root)
%doc src/backend/postgres/README
%{_libdir}/libgnc-backend-postgres.so

%changelog
* Wed Aug  2 2006 Gtz Waschk <waschk@mandriva.org> 2.0.1-1mdv2007.0
- update file list
- New release 2.0.1

* Tue Jul 18 2006 Gtz Waschk <waschk@mandriva.org> 2.0.0-2mdv2007.0
- use shared goffice again
- drop valgrind conflict
- rebuild with new gail

* Mon Jul 10 2006 Gtz Waschk <waschk@mandriva.org> 2.0.0-1mdv2007.0
- fix source URLs
- New release 2.0.0

* Thu Jun 22 2006 Gtz Waschk <waschk@mandriva.org> 1.9.8-2mdv2007.0
- split out postgres backend
- move .la files to main package
- move all libraries to the lib package
- fix deps

* Tue Jun 20 2006 Gtz Waschk <waschk@mandriva.org> 1.9.8-1mdv2007.0
- use new macros
- fix menu
- New release 1.9.8

* Thu Jun 15 2006 Gtz Waschk <waschk@mandriva.org> 1.9.7-1mdv2007.0
- xdg menu
- update file list
- disable valgrind
- don't depend on guile-lib
- new version

* Tue May 16 2006 Gtz Waschk <waschk@mandriva.org> 1.9.6-1mdk
- update file list
- New release 1.9.6

* Wed Apr 19 2006 Götz Waschk <waschk@mandriva.org> 1.9.5-1mdk
- New release 1.9.5

* Fri Apr 07 2006 Götz Waschk <waschk@mandriva.org> 1.9.4-1mdk
- New release 1.9.4

* Wed Apr 05 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.9.3-3mdk
- rebuild with rpm-mandriva-setup 1.18 to fix requires

* Fri Mar 31 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.9.3-2mdk
- add BuildRequires: libffi-devel db1-devel

* Tue Mar 21 2006 Götz Waschk <waschk@mandriva.org> 1.9.3-1mdk
- update file list
- New release 1.9.3

* Tue Mar  7 2006 Gtz Waschk <waschk@mandriva.org> 1.9.2-2mdk
- use the right configure macro
- rebuild for new aqbanking

* Tue Mar  7 2006 Gtz Waschk <waschk@mandriva.org> 1.9.2-1mdk
- schemas are no configuration files
- New release 1.9.2

* Sun Feb 26 2006 Gtz Waschk <waschk@mandriva.org> 1.9.1-2mdk
- depend on guile-lib

* Mon Feb 20 2006 Gtz Waschk <waschk@mandriva.org> 1.9.1-1mdk
- drop patches
- New release 1.9.1
- use mkrel

* Mon Jan 16 2006 Frederic Crozat <fcrozat@mandriva.com> 1.8.12-1mdk
- Release 1.8.12
- Regenerate patch0, remove old libtool m4 macros

* Mon Dec 05 2005 Götz Waschk <waschk@mandriva.org> 1.8.11-4mdk
- rebuild for new aqbanking

* Wed Jun 15 2005 Frederic Lepied <flepied@mandriva.com> 1.8.11-3mdk
- rebuild for libpq

* Wed Apr 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.11-2mdk 
- Rebuild with new aqhbci (Mdk bug #13985)

* Thu Feb 24 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.11-1mdk 
- Release 1.8.11

* Sun Feb 20 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.8.10-3mdk
- multiarch

* Wed Dec 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.10-2mdk 
- hbci subpackage now requires aqhbci-wizard-kde (only config wizard available
  now). Fix Mdk bug #12782
- Move info files to devel package (they are devel doc), Mdk bug #12106.
- Enable experimental postgresql support (Mdk bug #12499)

* Mon Dec 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.8.10-1mdk
- fix omf file listing
- update the docs
- depend on aqbanking instead of openhbci
- bump ofx dep
- New release 1.8.10

* Fri Aug 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.9-2mdk
- Rebuild for new gcc

* Thu May 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.9-1mdk
- New release 1.8.9
- Update docs to 1.8.4

* Fri Feb 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.8-2mdk
- Rebuild against latest hbci

* Wed Nov 19 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.8-1mdk
- Release 1.8.8

* Thu Oct  2 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.8.6-2mdk
- libtool, lib64, 64-bit fixes

* Fri Sep 12 2003  1.8.6-1mdk
- Release 1.8.6
- Doc 1.8.3

* Thu Sep 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.5-3mdk
- Fix BuildRequires

* Fri Aug 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.5-2mdk
- Update docs to 1.8.2

* Wed Aug 20 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.5-1mdk
- Release 1.8.5

* Thu Aug  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.4-2mdk
- png icons
- Build fixes from Douglas Wilkins <douglasw@mweb.co.za> :
  - Added build requires on intltool
  - Added requires exceptions on all libs in /usr/lib/gnucash 
	to fix devel lib dependencies

* Tue Jul 29 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.8.4-1mdk
- Release 1.8.4 (doc 1.8.1)
- Switch to guile 1.6

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.8.2-2mdk
- Fix buildrequires
- Rebuild against latest gal

* Thu Apr  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.8.2-1mdk
- Release 1.8.2

* Mon Feb 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.1-2mdk
- Update patch 1 for guile 1.4.1

* Thu Feb 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.1-1mdk
- Release 1.8.1

* Tue Feb  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.0-2mdk
- Add support for ofx and hbci

* Mon Feb  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.0-1mdk
- Release 1.8.0
- Remove patch0 (merged upstream)
- Patch1: check for guile1.4 existence

* Tue Nov 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.8-2mdk
- Patch0: fix compilation with gtkhtml 1.1.x
- Recompiled against latest gal/gtkhtml

* Thu Oct 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.8-1mdk
- Release 1.6.8

* Mon Aug 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.7-1mdk
- Release 1.6.7

* Wed Mar 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.6-1mdk
- Release 1.6.6

* Fri Jan 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.5-3mdk
- Recompiled against latest guppi

* Thu Jan 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.5-2mdk
- Recompiled against latest libgal
- Don't update libtool, it breaks compilation
- Prevent compilation with g-wrap 1.2.x and 1.3.x

* Thu Jan  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.5-1mdk
- Release 1.6.5
- Recompiled against python 2.2
- Switch to implicit dependencies

* Mon Dec  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.4-7mdk
- Recompiled against gtkhtml 1.0

* Mon Dec  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.4-6mdk
- Recompiled against latest guppi

* Fri Nov  9 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.6.4-5mdk
- rebuilt with libgal18

* Tue Oct 30 2001 Stefan van der Eijk <stefan@eijk.nu> 1.6.4-4mdk
- BuildRequires: libxml-devel
- Removed redundant BuildRequires

* Mon Oct 29 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.6.4-3mdk
- rebuilt with libguppi13, libgal15 and libgtkhtml18

* Wed Oct 11 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.6.4-2mdk
- use find-lang macro for the help files

* Mon Oct  8 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.6.4-1mdk
- new version

* Mon Oct  8 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.6.2-4mdk
- new version

* Mon Oct  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.2-4mdk
- Recompiled against libgtkhtml16/libgal12

* Thu Aug 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.2-3mdk
- Recompiled against libgtkhtml15

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.2-2mdk
- Fix info install
- Recompiled against libgal11

* Mon Aug 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.2-1mdk
- Release 1.6.2

* Fri Aug 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.1-3mdk
- Recompiled against latest gtkhtml/gal

* Wed Jul 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.1-2mdk
- Recompiled against latest gtkhtml/gal

* Tue Jul 10 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.6.1-1mdk
- new version with updated translations
- created lib package

* Thu Jun 28 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.6.0-3mdk
- requires python
- changed libgal6 to libgal7
- adapt for new libtool
- install info pages
- still problems with translation files (at least fr and de) that make 
it crash when opening an account

* Fri Jun 22 2001 Stefan van der Eijk <stefan@eijk.nu> 1.6.0-2mdk
- BuildRequires: db1-devel
- BuildRequires: popt-devel
- BuildRequires: python-devel
- Remove BuildRequires: guile-devel
- Remove BuildRequires: gnome-libs-devel

* Thu Jun 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.6.0-1mdk
- 1.6.0.

* Mon Jun 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.97-0.2mdk
- Fix owner for some files
- New office menu structure

* Thu May 31 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.5.97-0.1mdk
- First beta version of 1.6 (feature freeze)
- lots of requirements and build requirements
- files list updates

* Wed Mar 21 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.10-1mdk
- new version, now from ftp.gnome.org

* Thu Mar 15 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.9-1mdk
- new version
- readded .desktop

* Tue Oct 24 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.8-1mdk
- new version 1.4.8
- added buildconflicts with libxml2-devel

* Mon Oct  9 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.7-2mdk
- added /usr/lib/gnucash/perl/* library files
- added la files in devel
- added man pages
- added requirement in devel
- gnucash.so is needed in the *normal* package because of swig
- moved libgncengine.so from devel to normal, just in case...

* Mon Oct  2 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.7-1mdk
- new version

* Tue Sep 12 2000  <rchaillat@bi.mandrakesoft.com> 1.4.6-1mdk
- new version

* Thu Aug 31 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.5-2mdk
- added comment about g-wrap
- added menu file

* Wed Aug 30 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.5-1mdk
- went back to stable releases
- macroszification
- corrected icons
- added some more BuildRequires (xpm, guile-devel)
- specfile clean-up
- split application and devel packages

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.5.0-1mdk
- Updated version

* Tue Jul 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.4.2-3mdk
- Repaired missing libs

* Mon Jul 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.4.2-1mdk
- Updated version / release 2 hours ago.

* Sat Jul 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.4.1-1mdk
- Updated version

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3.1-5mdk
- Give full path when using convert.
- BuildPrereq: /usr/bin/convert.
- Regenerate libtoolize everywhere there is a configure.
- BuildRequires: eperl swig.

* Mon Apr 10 2000 Francis Galiegue <fg@mandrakesoft.com> 1.3.1-4mdk

- Patched to compile with perl 5.6.0

* Wed Mar 22 2000 Francis Galiegue <fg@mandrakesoft.com> 1.3.1-3mdk

- Icon for menu entry
- Rebuilt on kenobi


* Mon Mar 13 2000 Francis Galiegue <francis@mandrakesoft.com> 1.3.1-2mdk

- Menu'ized, changed group to Office (was: Applications/Finance)


* Mon Mar 13 2000 Francis Galiegue <francis@mandrakesoft.com>

- First RPM for Mandrake

* Mon Feb 29 2000 Christian Schaller <Uraues@linuxrising.org>
- Updated for use with TurboLinux and some minor SPEC changes
